Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

47 lines (39 sloc) 1.483 kb
#!/usr/bin/env python
import os
import codecs
VERSION = "0.1.0"
if os.path.exists("README.rst"):
long_description = codecs.open('README.rst', "r", "utf-8").read()
else:
long_description = "See http://github.com/nimbusproject/dashi"
setupdict = {
'name' : 'dashi',
'version' : VERSION,
'description' : 'simple RPC layer on top of kombu',
'long_description' : long_description,
'license' : 'Apache 2.0',
'author' : 'Nimbus team',
'author_email' : 'nimbus@mcs.anl.gov',
'keywords': ['nimbus','amqp', 'kombu'],
'classifiers' : [
'Development Status :: 4 - Beta',
'Intended Audience :: Developers',
'License :: OSI Approved :: Apache Software License',
'Operating System :: OS Independent',
'Programming Language :: Python',
"Topic :: Communications",
"Topic :: System :: Distributed Computing",
"Topic :: System :: Networking",
"Topic :: Software Development :: Libraries :: Python Modules"],
"url" : "http://github.com/nimbusproject/dashi",
"download_url" : "http://www.nimbusproject.org/downloads/dashi-%s.tar.gz" % VERSION,
}
install_requires = ['kombu>=2.1.2', 'pyyaml']
tests_require = ["nose"]
from setuptools import setup, find_packages
setupdict['packages'] = find_packages()
setupdict['install_requires'] = install_requires
setupdict['tests_require'] = tests_require
setupdict['extras_require'] = {'test': tests_require}
setupdict['test_suite'] = 'nose.collector'
setup(**setupdict)
Jump to Line
Something went wrong with that request. Please try again.